Skip to main content
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
enrich
Enrich transactions of EndUser
curl --request POST \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/enrich \
  --header 'x-api-key: <api-key>'
{
  "end_user": {
    "end_user_id": "526d847d-2de1-4b83-8df5-8e2f6d6a7ec8",
    "confidence": 0.42,
    "created": "2026-03-17T23:13:58.597627",
    "criteria": [
      {
        "context": "higher_is_better",
        "currency": "<string>",
        "date_range": "last_180_days",
        "description": "The number of unique transactions with a timestamp",
        "group": "data_quality",
        "label": "unique_transactions",
        "status": "not_available",
        "unit": "n",
        "value": 42.42
      }
    ],
    "data_sources": [
      {
        "type": "pdf",
        "status": "new"
      }
    ],
    "heron_id": "eus_PDJGBisr645d6yMhwXBZGH",
    "is_portfolio": true,
    "last_processed_at": "2026-04-28T23:13:58.597888",
    "last_updated": "2026-04-28T23:13:58.597665",
    "name": "Company Name Inc.",
    "profit_and_loss_layout": null,
    "status": "ready"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.herondata.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Query Parameters

priority
enum<string>
default:normal

Priority for async enrichment

Available options:
normal,
high

Response

200 - application/json

Ok

end_user
object